
package mhp.oee.wserp.bggdzt;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "SI_CHANGE_ORDER_STATUS_SENDService", targetNamespace = "http://atlbattery.com/ANDON/CHANGE_ORDER_STATUS", wsdlLocation = "http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=ic/1ae4f66b4b393e6eb9813c1d4d0c1b25")
public class SICHANGEORDERSTATUSSENDService
    extends Service
{

    private final static URL SICHANGEORDERSTATUSSENDSERVICE_WSDL_LOCATION;
    private final static WebServiceException SICHANGEORDERSTATUSSENDSERVICE_EXCEPTION;
    private final static QName SICHANGEORDERSTATUSSENDSERVICE_QNAME = new QName("http://atlbattery.com/ANDON/CHANGE_ORDER_STATUS", "SI_CHANGE_ORDER_STATUS_SENDService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=ic/1ae4f66b4b393e6eb9813c1d4d0c1b25");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        SICHANGEORDERSTATUSSENDSERVICE_WSDL_LOCATION = url;
        SICHANGEORDERSTATUSSENDSERVICE_EXCEPTION = e;
    }

    public SICHANGEORDERSTATUSSENDService() {
        super(__getWsdlLocation(), SICHANGEORDERSTATUSSENDSERVICE_QNAME);
    }

    public SICHANGEORDERSTATUSSENDService(WebServiceFeature... features) {
        super(__getWsdlLocation(), SICHANGEORDERSTATUSSENDSERVICE_QNAME, features);
    }

    public SICHANGEORDERSTATUSSENDService(URL wsdlLocation) {
        super(wsdlLocation, SICHANGEORDERSTATUSSENDSERVICE_QNAME);
    }

    public SICHANGEORDERSTATUSSENDService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SICHANGEORDERSTATUSSENDSERVICE_QNAME, features);
    }

    public SICHANGEORDERSTATUSSENDService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public SICHANGEORDERSTATUSSENDService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns SICHANGEORDERSTATUSSEND
     */
    @WebEndpoint(name = "HTTP_Port")
    public SICHANGEORDERSTATUSSEND getHTTPPort() {
        return super.getPort(new QName("http://atlbattery.com/ANDON/CHANGE_ORDER_STATUS", "HTTP_Port"), SICHANGEORDERSTATUSSEND.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SICHANGEORDERSTATUSSEND
     */
    @WebEndpoint(name = "HTTP_Port")
    public SICHANGEORDERSTATUSSEND getHTTPPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbattery.com/ANDON/CHANGE_ORDER_STATUS", "HTTP_Port"), SICHANGEORDERSTATUSSEND.class, features);
    }

    /**
     * 
     * @return
     *     returns SICHANGEORDERSTATUSSEND
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SICHANGEORDERSTATUSSEND getHTTPSPort() {
        return super.getPort(new QName("http://atlbattery.com/ANDON/CHANGE_ORDER_STATUS", "HTTPS_Port"), SICHANGEORDERSTATUSSEND.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SICHANGEORDERSTATUSSEND
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SICHANGEORDERSTATUSSEND getHTTPSPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbattery.com/ANDON/CHANGE_ORDER_STATUS", "HTTPS_Port"), SICHANGEORDERSTATUSSEND.class, features);
    }

    private static URL __getWsdlLocation() {
        if (SICHANGEORDERSTATUSSENDSERVICE_EXCEPTION!= null) {
            throw SICHANGEORDERSTATUSSENDSERVICE_EXCEPTION;
        }
        return SICHANGEORDERSTATUSSENDSERVICE_WSDL_LOCATION;
    }

}
